
# profile.debian.sh

# If vim does not set syntax on automatically, give these commands manually:

#vim: syntax on
#vim: set ft=sh

# Yes, I am pervert: I use both (X)Emacs and Vim.

#echo profile.freebsd.sh

# NOTE!
# linux_logo will not work right, if you do not have a file ~/.linux_logo
# Put this to that file: -L debian_banner
# If linux_logo is some older version, use this instead: -L 3
# This way you get a list of available logos: linux_logo -L list

PROFILE_FREEBSD="1"
export PROFILE_FREEBSD

OLDPATH="$PATH"
PATH="${HOME}/scripts:${HOME}/bin:${PATH}:/usr/bin/X11:/usr/X11R6/bin:/usr/local/scripts"
export PATH


if tty > /dev/null 2>&1
then
    case $- in *i*)
        # Add here all commands, that must be run under interactive shells only
        # (both login- and non-login)


        R="`uname -ri`"
        FREEBSD_OS="`uname -s`"

        if type resize > /dev/null 2>&1
        then 
            eval `resize`
        fi

        case "$TERM" in
            *xterm*|*rxvt*|gnome-terminal|*onsole|zvt|dterm|kterm|Eterm|zterm|screen*)
            #linux_logo -t "${FREEBSD_OS} ${R}." -u -y -F '#H\n#E\nKernel #V\n#N #T #P\n\n\n#U\n#L'
            linux_logo -t "${FREEBSD_OS} ${R}." -u -y -F '#H\n#E\nKernel #V\n#T\n\n\n#U\n#L'
            ;;

            vt100)
            if test "$TERM_PROGRAM" = "Apple_Terminal"
            #linux_logo -t "${FREEBSD_OS} ${R}." -u -y -F '#H\n#E\nKernel #V\n#N #T #P\n\n\n#U\n#L'
            linux_logo -t "${FREEBSD_OS} ${R}." -u -y -F '#H\n#E\nKernel #V\n#T\n\n\n#U\n#L'
            then
            else
            #linux_logo -a -t "${FREEBSD_OS} ${R}." -u -y -F '#H\n#E\nKernel #V\n#N #T #P\n\n\n#U\n#L'
            linux_logo -a -t "${FREEBSD_OS} ${R}." -u -y -F '#H\n#E\nKernel #V\n#T\n\n\n#U\n#L'
            fi
            ;;

            linux*)
            #linux_logo -t "${FREEBSD_OS} ${R}." -u -y -F '#H\n#E\nKernel #V\n#N #T #P\n\n\n#U\n#L'
            linux_logo -t "${FREEBSD_OS} ${R}." -u -y -F '#H\n#E\nKernel #V\n#T\n\n\n#U\n#L'
            ;;

            *)
            #linux_logo -a -t "${FREEBSD_OS} ${R}." -u -y -F '#H\n#E\nKernel #V\n#N #T #P\n\n\n#U\n#L'
            linux_logo -a -t "${FREEBSD_OS} ${R}." -u -y -F '#H\n#E\nKernel #V\n#T\n\n\n#U\n#L'
        esac
    esac
fi

PATH="${OLDPATH}"
export PATH

unset OLDPATH
unset FREEBSD_OS
unset W2L_SRC
unset R

